snd_rawmidi_transmit_peek
Prev | Chapter 24. Sound Devices | Next

## Name

snd_rawmidi_transmit_peek — copy data from the internal buffer

## Synopsis

`int snd_rawmidi_transmit_peek (` | struct snd_rawmidi_substream * | substream,
| unsigned char * | buffer,
| int | count`)`;

## Arguments

`substream`

  the rawmidi substream

`buffer`

  the buffer pointer

`count`

  data size to transfer

## Description

Copies data from the internal output buffer to the given buffer.

Call this in the interrupt handler when the midi output is ready, and call `snd_rawmidi_transmit_ack` after the transmission is finished.

Returns the size of copied data, or a negative error code on failure.

Prev | Up | Next
snd_rawmidi_transmit_empty | Home | snd_rawmidi_transmit_ack